//
//  Action.js
//  OpenInTusker
//
//  Created by Shadowfacts on 5/22/21.
//  Copyright © 2021 Shadowfacts. All rights reserved.
//

var Action = function() {};

Action.prototype = {

    run: function(arguments) {
        const results = {
            url: window.location.href,
        };
        const el = document.querySelector('link[rel=alternate][type="application/activity+json"]');
        if (el) {
            results.activityPubURL = el.href;
        }
        arguments.completionFunction(results);
    },

    finalize: function(arguments) {
    }

};

var ExtensionPreprocessingJS = new Action();
